/* glue.c , (C) 1998 W.H.Scholten
 */

#include <stdio.h>
#include <stdlib.h>

#include <unistd.h> /* for chdir */

#include "dtypes.h"
#include "fix.h"

#if 0 /* was not missing as I thought at first :) */
//fix is a long, we assume long = 32 bits for now.
#define swapfix(a) swaplong(a)
#define swaplong(a) swapint(a)

int swapint(int a) {
#ifdef LITTLE_ENDIAN
	return a;
#else
    return ((a&255) <<24) | ((a& 0xff00) <<8) | ((a& 0xff0000) >>8) | (((a&0xff00)>>24) &255);
#endif
}

short swapshort(short a) {
#ifdef LITTLE_ENDIAN
	return a;
#else
	return ((a&255) <<8) | (((a & 0xff00) >>8)&255);
#endif
}

byte read_byte(FILE *fp) {
    byte data;
    fread( &data, sizeof(byte), 1, fp);
    return data;
}
short read_short_swap(FILE *fp) {
    short data;
    fread( &data, sizeof(short), 1, fp);
    return swapshort(data);
}
int read_int_swap(FILE *fp) {
    int data;
    fread( &data, sizeof(int), 1, fp);
    return swapint(data);
}
fix read_fix_swap(FILE *fp) {
    int data;
    fread( &data, sizeof(fix), 1, fp);
    return swapfix(data);
}
#endif /* unneeded code */

#define DESCENT_DIR "/var/games/descent"

void CDToDescentDir() {
//Comment out to use files in the current dir.
	chdir(DESCENT_DIR);
};

//WHS: reimplement? (can be included in GSI)
void init_redbook() {} ;
void redbook_restart_track() {} ;
void redbook_eject_disk() {} ;
void redbook_next_track() {} ;
void redbook_previous_track() {} ;
void redbook_start_play() {} ;
void stop_redbook() {} ;
void redbook_mount_disk() {} ;
